file IncludeDeprecated.php

Namespace

Drupal\bootstrap\Plugin\Setting\Advanced
  1. <?php
  2. namespace Drupal\bootstrap\Plugin\Setting\Advanced;
  3. use Drupal\bootstrap\Plugin\Setting\SettingBase;
  4. /**
  5. * The "include_deprecated" theme setting.
  6. *
  7. * @ingroup plugins_setting
  8. *
  9. * @BootstrapSetting(
  10. * id = "include_deprecated",
  11. * type = "checkbox",
  12. * weight = -3,
  13. * title = @Translation("Include <code>deprecated.php</code>"),
  14. * defaultValue = 0,
  15. * description = @Translation("Enabling this setting will include any <code>deprecated.php</code> file found in your theme or base themes."),
  16. * groups = {
  17. * "advanced" = @Translation("Advanced"),
  18. * },
  19. * )
  20. */
  21. class IncludeDeprecated extends SettingBase {}

Classes

Name Description
IncludeDeprecated The "include_deprecated" theme setting.